Subject: Linux-Activists - DOC Channel digest. 94-10-2-7:24
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Wed, 2 Nov 1994 11:58:43 +0200

Topics:
	 Re: <none>

----------------------------------------------------------------------

From: [email-masked] (H. Peter Anvin)
Subject: Re: <none>
Date: 2 Nov 1994 07:18:54 GMT

Followup to:  <[email-masked]>
By author:    Hirac Kasapoglu <[email-masked]>
In newsgroup: linux.act.doc
>
> Hello,
> I have a problem with ghostscript. I'm not sure where should I ask for 
> it. I think people who interested in writing tex files, converting them 
> to postscript files, may know about it or who should I ask for it. 
> 
> My problem is: I want to convert manpages from ps to lj format. I use 
> this script to do that. 
> 
> gs -sDEVICE=laserjet -sOutputFile=$1.lj -sPAPERSIZE=a4 -dNOPAUSE -q $1.ps
> 
> It is ok. It works but I have to enter quit command or press ctrl-D key 
> to quit the GS prompt. I can do it for several times. But it is very hard 
> to it for several thousand times. Because I want to do it for all man 
> pages. How can I force GS to quit immediatly after finishing its job. 
> 
> Thanks in advance. 
> 

Try using:

gs -sDEVICE=laserjet -sPAPERSIZE=a4 -dNOPAUSE -dSAFER -q
-sOutputFile=- - < $1.ps > $1.lj

(all on one line, of course).

Using gs as a filter disables its interactive features.  I use this
command line (or the equivalent) when I call gs from my magic printer
filter (to be released as soon as I can find time to write a README or
man page for it.)

	/hpa

------------------------------

End of DOC Digest
*****************
-------